Package org.eclipse.gef.ui.palette

# Class PinDrawerAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.palette.PinDrawerAction

All Implemented Interfaces:
  `IAction`

public class PinDrawerAction extends Action
An action that can be used to pin the given pinnable palette editpart (drawer or stack) open.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`PinDrawerAction(org.eclipse.gef.internal.ui.palette.editparts.DrawerEditPart drawer)`
Constructor
`PinDrawerAction(org.eclipse.gef.ui.palette.editparts.IPinnableEditPart pinnableEditPart)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Toggles the pinned open status of the pinnable palette editpart.

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PinDrawerAction

public PinDrawerAction(org.eclipse.gef.internal.ui.palette.editparts.DrawerEditPart drawer)
Constructor

Parameters:
  `drawer` - The EditPart for the drawer that this action pins/unpins

### PinDrawerAction

public PinDrawerAction(org.eclipse.gef.ui.palette.editparts.IPinnableEditPart pinnableEditPart)
Constructor

Parameters:
  `pinnableEditPart` - the pinnable palette editpart
Since:
  3.4

## Method Details

### run

public void run()
Toggles the pinned open status of the pinnable palette editpart.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `Action.run()`